<?php
require_once "conexion.php";

if ($_SERVER["REQUEST_METHOD"] === "POST") {
    // Obtener datos del formulario
    $id = $_POST["id"];
    $column = $_POST["column"];
    $newContent = $_POST["newContent"];

    // Realizar la actualización en la base de datos
    $sql_update = "UPDATE product_to_store SET sell_price = '$newContent', $column = '$newContent' WHERE product_id = $id";

    if ($conn->query($sql_update) === TRUE) {
        // La actualización fue exitosa
        echo "Actualización exitosa";
    } else {
        // Manejar errores si es necesario
        echo "Error al actualizar: " . $conn->error;
    }
} else {
    // Redirigir si se intenta acceder directamente al archivo
    header("Location: index.php");
    exit();
}

$conn->close();
?>
